wiki:InstallingLibtrace

Installing Libtrace

Required Software:

Highly Recommended Software:

  • zlib-dev (will enable gzip compression and decompression)

Optional Software:

  • DAG libraries (required if you wish to capture using a DAG card)
  • llvm-dev, llvm-gcc-4.2 and libboost-dev (required for using the BPF-JIT code)
  • libbz2-dev (will enable bzip compression and decompression)
  • liblzo2-dev (will enable lzo compression)
  • libncurses (for the tracetop tool)

Compiling and Installing Libtrace

./configure
make
make install

By default, libtrace will install to /usr/local ; this can be changed by adding --prefix=<install location> to the configure line. Other configuration options, if required, can be viewed by running ./configure --help.

The BPF-JIT functionality is disabled by default - you will need to add --with-llvm to your configure line to enable it. Note that you will require llvm-dev, llvm-gcc-4.2 and libboost-dev. Even then, it may not work if these (particularly llvm-gcc-4.2) have been installed in unexpected locations.

Following installation, you may need to add the line '/usr/local/lib' to your /etc/ld.so.conf and run 'ldconfig' as root.

Known Issues

Building libtrace on older installs of Mac OS X (we observed this on 10.4.11) may produce the following error:

  ERROR: No debug map or DWARF data was found to link.

This appears to be due to a bug in the dsymutil linker. Upgrading the dev environment to Xcode 2.5 or later should fix this problem.

Last modified 10 years ago Last modified on 08/03/10 16:39:46